#pragma once
#include <stdarg.h>
#include <stdint.h>
#include <stddef.h>

void printf(const char* fmt, ...);
void fputs(const char* str);
void fputc(char c);
void vfprintf(const char* fmt, va_list args);
void fprintf(const char* fmt, ...);
void fputs_colored(const char* str, uint32_t color);
int snprintf(char* buf, size_t size, const char* fmt, ...);
int vsnprintf(char* buf, size_t size, const char* fmt, va_list args);